com.mxgraph.util.svg

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.mxgraph.util.svg.ParseException

- All Implemented Interfaces:
    java.io.Serializable

      public class ParseException
      extends java.lang.RuntimeException

  This class encapsulates a general parse error or warning.

  This class can contain basic error or warning information from either the parser or the application.

  If the application needs to pass through other types of exceptions, it must wrap those exceptions in a ParseException.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `columnNumber`
    `protected java.lang.Exception` | `exception`
    `protected int` | `lineNumber`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseException(java.lang.Exception e)` Creates a new ParseException wrapping an existing exception.
    `ParseException(java.lang.String message, java.lang.Exception e)` Creates a new ParseException from an existing exception.
    `ParseException(java.lang.String message, int line, int column)` Creates a new ParseException.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnNumber()` Returns the column of the last parsed character.
    `java.lang.Exception` | `getException()` Return the embedded exception, if any.
    `int` | `getLineNumber()` Returns the line of the last parsed character.
    `java.lang.String` | `getMessage()` Return a detail message for this exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### exception

          protected java.lang.Exception exception

    - #### lineNumber

          protected int lineNumber

    - #### columnNumber

          protected int columnNumber

  - ### Constructor Detail

    - #### ParseException

          public ParseException(java.lang.String message,
                        int line,
                        int column)

      Creates a new ParseException.
      Parameters:
        `message` - The error or warning message.
        `line` - The line of the last parsed character.
        `column` - The column of the last parsed character.

    - #### ParseException

          public ParseException(java.lang.Exception e)

      Creates a new ParseException wrapping an existing exception.

      The existing exception will be embedded in the new one, and its message will become the default message for the ParseException.

      Parameters:
        `e` - The exception to be wrapped in a ParseException.

    - #### ParseException

          public ParseException(java.lang.String message,
                        java.lang.Exception e)

      Creates a new ParseException from an existing exception.

      The existing exception will be embedded in the new one, but the new exception will have its own message.

      Parameters:
        `message` - The detail message.
        `e` - The exception to be wrapped in a SAXException.

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Return a detail message for this exception.

      If there is a embedded exception, and if the ParseException has no detail message of its own, this method will return the detail message from the embedded exception.

      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        The error or warning message.

    - #### getException

          public java.lang.Exception getException()

      Return the embedded exception, if any.
      Returns:
        The embedded exception, or null if there is none.

    - #### getLineNumber

          public int getLineNumber()

      Returns the line of the last parsed character.

    - #### getColumnNumber

          public int getColumnNumber()

      Returns the column of the last parsed character.

Copyright (c) 2010 Gaudenz Alder. All rights reserved.